"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sdkClientMethodFactory = void 0;
var sdkClient_1 = require("./sdkClient");
var constants_1 = require("../logger/constants");
/**
 * Factory of client method for server-side SDKs
 */
function sdkClientMethodFactory(params) {
    var log = params.settings.log;
    var clientInstance = (0, sdkClient_1.sdkClientFactory)(params);
    // Only one client in server-side without bound key
    params.clients[''] = clientInstance;
    return function client() {
        if (arguments.length > 0) {
            throw new Error('Shared Client not supported by the storage mechanism. Create isolated instances instead.');
        }
        log.debug(constants_1.RETRIEVE_CLIENT_DEFAULT);
        return clientInstance;
    };
}
exports.sdkClientMethodFactory = sdkClientMethodFactory;
