"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.segmentsSyncTaskFactory = void 0;
var syncTask_1 = require("../../syncTask");
var segmentChangesFetcher_1 = require("../fetchers/segmentChangesFetcher");
var segmentChangesUpdater_1 = require("../updaters/segmentChangesUpdater");
/**
 * Creates a sync task that periodically executes a `segmentChangesUpdater` task
 */
function segmentsSyncTaskFactory(fetchSegmentChanges, storage, readiness, settings) {
    return (0, syncTask_1.syncTaskFactory)(settings.log, (0, segmentChangesUpdater_1.segmentChangesUpdaterFactory)(settings.log, (0, segmentChangesFetcher_1.segmentChangesFetcherFactory)(fetchSegmentChanges), storage.segments, readiness), settings.scheduler.segmentsRefreshRate, 'segmentChangesUpdater');
}
exports.segmentsSyncTaskFactory = segmentsSyncTaskFactory;
