import { syncTaskFactory } from '../../syncTask';
import { segmentChangesFetcherFactory } from '../fetchers/segmentChangesFetcher';
import { segmentChangesUpdaterFactory } from '../updaters/segmentChangesUpdater';
/**
 * Creates a sync task that periodically executes a `segmentChangesUpdater` task
 */
export function segmentsSyncTaskFactory(fetchSegmentChanges, storage, readiness, settings) {
    return syncTaskFactory(settings.log, segmentChangesUpdaterFactory(settings.log, segmentChangesFetcherFactory(fetchSegmentChanges), storage.segments, readiness), settings.scheduler.segmentsRefreshRate, 'segmentChangesUpdater');
}
